aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJulius Härtl <jus@bitgrid.net>2021-05-28 19:24:21 +0200
committerbackportbot[bot] <backportbot[bot]@users.noreply.github.com>2021-07-05 09:58:37 +0000
commite41f06d7c466f14e417f7d7930c7a7d6146dde8d (patch)
tree7768cd9530e51ec99f877ffd24421b5298ac5178
parent4c9686a969af8e6959d23d658a0cd981ad4b4bd0 (diff)
downloadnextcloud-server-e41f06d7c466f14e417f7d7930c7a7d6146dde8d.tar.gz
nextcloud-server-e41f06d7c466f14e417f7d7930c7a7d6146dde8d.zip
Use minio for s3 tests
Signed-off-by: Julius Härtl <jus@bitgrid.net>
-rw-r--r--.drone.yml9
-rwxr-xr-xtests/drone-wait-objectstore.sh6
-rw-r--r--tests/preseed-config.php8
3 files changed, 19 insertions, 4 deletions
diff --git a/.drone.yml b/.drone.yml
index ca21cb74643..caec2fccd34 100644
--- a/.drone.yml
+++ b/.drone.yml
@@ -2090,6 +2090,15 @@ kind: pipeline
name: object-store-s3
steps:
+- name: minio
+ image: ghcr.io/nextcloud/continuous-integration-minio:latest
+ detach: true
+ commands:
+ - mkdir /s3data
+ - minio server /s3data
+ environment:
+ MINIO_ROOT_USER: nextcloud
+ MINIO_ROOT_PASSWORD: nextcloud
- name: submodules
image: docker:git
commands:
diff --git a/tests/drone-wait-objectstore.sh b/tests/drone-wait-objectstore.sh
index 7914d45bed1..7817d946682 100755
--- a/tests/drone-wait-objectstore.sh
+++ b/tests/drone-wait-objectstore.sh
@@ -12,6 +12,12 @@ function get_swift_token() {
fi
}
+if [ "$OBJECT_STORE" == "s3" ]; then
+ echo "Waiting for minio to be ready"
+ timeout 60 bash -c 'while [[ "$(curl -s -o /dev/null -w ''%{http_code}'' http://minio:9000)" != "403" ]]; do sleep 5; done' || (
+ echo "Failed to wait for minio to be ready" && exit 1
+ )
+fi
if [ "$OBJECT_STORE" == "swift" ]; then
echo "waiting for keystone"
until get_swift_token
diff --git a/tests/preseed-config.php b/tests/preseed-config.php
index 97c8a1d11a8..16aea87c8a7 100644
--- a/tests/preseed-config.php
+++ b/tests/preseed-config.php
@@ -25,10 +25,10 @@ if (getenv('OBJECT_STORE') === 's3') {
'arguments' => [
'bucket' => 'nextcloud',
'autocreate' => true,
- 'key' => 'dummy',
- 'secret' => 'dummy',
- 'hostname' => getenv('DRONE') === 'true' ? 'fake-s3' : 'localhost',
- 'port' => 4569,
+ 'key' => 'nextcloud',
+ 'secret' => 'nextcloud',
+ 'hostname' => getenv('DRONE') === 'true' ? 'minio' : 'localhost',
+ 'port' => 9000,
'use_ssl' => false,
// required for some non amazon s3 implementations
'use_path_style' => true